FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2020 PLD Team
$Revision: 1.37 $
Powered by VAX.
Your IP: 34.200.236.68

python-dbus-deviation 16ce6663-4a70-42d1-affd-9aa58cf616c7

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/python-dbus-deviation,16ce6663-4a70-42d1-affd-9aa58cf616c7.bz2
text/plain URL:View!
rpm -qa of builder:View!
Date:2020/09/13 20:49:01
Runtime:0:00:11.580734

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112
  • build
  • Executing(%build): /bin/sh -e /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112
  • error 3
  • subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/B.AWThPs/BUILD/tmp/tmpgtx7a3m4', '--quiet', 'setuptools_pep8']' returned non-zero exit status 1.
  • error 4
  • distutils.errors.DistutilsError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/B.AWThPs/BUILD/tmp/tmpgtx7a3m4', '--quiet', 'setuptools_pep8']' returned non-zero exit status 1.
  • error 5
  • error: Bad exit status from /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112 (%build)
  • error 6
  • RPM build errors:
  • error 7
  • error: No files produced.

Content:

request from: qboosh
checking if we should skip the build
started at: Sun Sep 13 20:48:36 2020
killing old processes on a builder
sending signal 9 to pid -1
Killed
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/16ce6663-4a70-42d1-affd-9aa58cf616c7/python-dbus-deviation-0.6.0-1.src.rpm
fetched 72345 bytes, 281.2 K/s
installing srpm: python-dbus-deviation-0.6.0-1.src.rpm
+ install -d /tmp/B.AWThPs/BUILD /tmp/B.AWThPs/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog python-dbus-deviation-0.6.0-1.src.rpm
* Sun Sep 13 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dbus-deviation.git;a=log;h=master
* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 6d342a7
- new + rpm -Uhv --nodeps --define '_topdir /tmp/B.AWThPs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' python-dbus-deviation-0.6.0-1.src.rpm Preparing... ################################################## python-dbus-deviation ################################################## + rm -f python-dbus-deviation-0.6.0-1.src.rpm + install -m 700 -d /tmp/B.AWThPs/BUILD/tmp + TMPDIR=/tmp/B.AWThPs/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.AWThPs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.AWThPs/python-dbus-deviation.spec Building target platforms: x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: python-setuptools_pep8 is needed by python-dbus-deviation-0.6.0-1.src rpm: Building target platforms: x86_64-pld-linux updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date Retrieving th-test::packages.ndir.diff.toc.gz..............................................done Retrieving diff::packages.ndir.2020.09.13-16.29.02.gz......................................done Loading [pndir]th-test... Applying packages.ndir.2020.09.13-16.29.02.gz... Retrieving diff::packages.ndir.2020.09.13-16.48.02.gz......................................done Applying packages.ndir.2020.09.13-16.48.02.gz... Writing /root/.poldek-cache/[...]/packages.ndir.gz... checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 30422 packages read poldek: Removed 1789 duplicate packages from available set poldek: Processing dependencies... poldek: There are 1 package to install: poldek: A python-setuptools_pep8-0.9.0-1.noarch poldek: This operation will use 9.7KB of disk space. poldek: Need to get 10.1KB of archives. poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: Preparing... ################################################## no conflicts found checking BR rpm: error: Failed build dependencies: rpm: python-setuptools_pep8 is needed by python-dbus-deviation-0.6.0-1.src rpm: Building target platforms: x86_64-pld-linux installing BR: python\-setuptools\_pep8 + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' --upgrade python-setuptools_pep8 Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 30422 packages read Removed 1789 duplicate packages from available set Processing dependencies... There are 1 package to install: A python-setuptools_pep8-0.9.0-1.noarch This operation will use 9.7KB of disk space. Need to get 10.1KB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## python-setuptools_pep8 ################################################## building RPM using: set -ex; : build-id: 16ce6663-4a70-42d1-affd-9aa58cf616c7; TMPDIR=/tmp/B.AWThPs/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.AWThPs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.AWThPs/python-dbus-deviation.spec + : build-id: 16ce6663-4a70-42d1-affd-9aa58cf616c7 + TMPDIR=/tmp/B.AWThPs/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j9' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.AWThPs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.AWThPs/python-dbus-deviation.spec Building target platforms: x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112 + umask 022 + cd /tmp/B.AWThPs/BUILD + cd /tmp/B.AWThPs/BUILD + rm -rf dbus-deviation-0.6.0 + /bin/gzip -dc /tmp/B.AWThPs/dbus-deviation-0.6.0.tar.gz + /bin/tar -xf - + STATUS=0 + '[' 0 -ne 0 ']' + cd dbus-deviation-0.6.0 + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + exit 0 Executing(%build): /bin/sh -e /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/bin:/usr/bin:/usr/local/bin:/home/users/builder/bin TMPDIR=/tmp/B.AWThPs/BUILD/tmp + umask 022 + cd /tmp/B.AWThPs/BUILD + cd dbus-deviation-0.6.0 + LDFLAGS='-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' + export LDFLAGS + CFLAGS=' -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' + export CFLAGS + CXXFLAGS=' -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' + export CXXFLAGS + CC=x86_64-pld-linux-gcc + export CC + CXX=x86_64-pld-linux-g++ + export CXX + /usr/bin/python2 setup.py build '--build-base=build-2' test running build running build_py creating build-2 creating build-2/lib creating build-2/lib/dbusapi copying dbusapi/interfaceparser.py -> build-2/lib/dbusapi copying dbusapi/types.py -> build-2/lib/dbusapi copying dbusapi/typeparser.py -> build-2/lib/dbusapi copying dbusapi/__init__.py -> build-2/lib/dbusapi copying dbusapi/log.py -> build-2/lib/dbusapi copying dbusapi/typeformatter.py -> build-2/lib/dbusapi copying dbusapi/ast.py -> build-2/lib/dbusapi creating build-2/lib/dbusdeviation copying dbusdeviation/interfacecomparator.py -> build-2/lib/dbusdeviation copying dbusdeviation/__init__.py -> build-2/lib/dbusdeviation creating build-2/lib/dbusdeviation/utilities copying dbusdeviation/utilities/diff.py -> build-2/lib/dbusdeviation/utilities copying dbusdeviation/utilities/__init__.py -> build-2/lib/dbusdeviation/utilities copying dbusdeviation/utilities/vcs_helper.py -> build-2/lib/dbusdeviation/utilities running egg_info writing requirements to dbus_deviation.egg-info/requires.txt writing dbus_deviation.egg-info/PKG-INFO writing top-level names to dbus_deviation.egg-info/top_level.txt writing dependency_links to dbus_deviation.egg-info/dependency_links.txt writing entry points to dbus_deviation.egg-info/entry_points.txt reading manifest file 'dbus_deviation.egg-info/SOURCES.txt' writing manifest file 'dbus_deviation.egg-info/SOURCES.txt' creating build-2/lib/dbusapi/tests copying dbusapi/tests/__init__.py -> build-2/lib/dbusapi/tests copying dbusapi/tests/test_ast.py -> build-2/lib/dbusapi/tests copying dbusapi/tests/test_interfaceparser.py -> build-2/lib/dbusapi/tests copying dbusapi/tests/test_typeformatter.py -> build-2/lib/dbusapi/tests copying dbusapi/tests/test_typeparser.py -> build-2/lib/dbusapi/tests creating build-2/lib/dbusdeviation/tests copying dbusdeviation/tests/__init__.py -> build-2/lib/dbusdeviation/tests copying dbusdeviation/tests/test_interfacecomparator.py -> build-2/lib/dbusdeviation/tests running test WARNING: Testing via this command is deprecated and will be removed in a future version. Users looking for a generic test entry point independent of test runner are encouraged to use tox. running build_ext .............................................................................................................................................. ---------------------------------------------------------------------- Ran 142 tests in 0.078s OK + LDFLAGS='-Wl,--as-needed -Wl,--no-copy-dt-needed-entries -Wl,-z,relro -Wl,-z,combreloc ' + export LDFLAGS + CFLAGS=' -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' + export CFLAGS + CXXFLAGS=' -O2 -fwrapv -pipe -Wformat -Werror=format-security -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Werror=trampolines -fPIC -march=x86-64 -gdwarf-4 -fno-debug-types-section -fvar-tracking-assignments -g2 ' + export CXXFLAGS + CC=x86_64-pld-linux-gcc + export CC + CXX=x86_64-pld-linux-g++ + export CXX + /usr/bin/python3 setup.py build '--build-base=build-3' test build_sphinx WARNING: The wheel package is not available. Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb5e8311c10>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')': /simple/setuptools-pep8/ Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb5e8311130>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')': /simple/setuptools-pep8/ Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb5e835dcd0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')': /simple/setuptools-pep8/ Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb5e835dac0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')': /simple/setuptools-pep8/ Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'NewConnectionError('<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x7fb5e835d6d0>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution')': /simple/setuptools-pep8/ Could not find a version that satisfies the requirement setuptools_pep8 (from versions: ) No matching distribution found for setuptools_pep8 Traceback (most recent call last): File "/usr/share/python3.8/site-packages/setuptools/installer.py", line 128, in fetch_build_egg subprocess.check_call(cmd) File "/usr/lib64/python3.8/subprocess.py", line 364, in check_call raise CalledProcessError(retcode, cmd) subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/B.AWThPs/BUILD/tmp/tmpgtx7a3m4', '--quiet', 'setuptools_pep8']' returned non-zero exit status 1. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "setup.py", line 87, in <module> setup( File "/usr/share/python3.8/site-packages/setuptools/__init__.py", line 144, in setup _install_setup_requires(attrs) File "/usr/share/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires dist.fetch_build_eggs(dist.setup_requires) File "/usr/share/python3.8/site-packages/setuptools/dist.py", line 718, in fetch_build_eggs resolved_dists = pkg_resources.working_set.resolve( File "/usr/share/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve dist = best[req.key] = env.best_match( File "/usr/share/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match return self.obtain(req, installer) File "/usr/share/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain return installer(requirement) File "/usr/share/python3.8/site-packages/setuptools/dist.py", line 777, in fetch_build_egg return fetch_build_egg(self, req) File "/usr/share/python3.8/site-packages/setuptools/installer.py", line 130, in fetch_build_egg raise DistutilsError(str(e)) distutils.errors.DistutilsError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/B.AWThPs/BUILD/tmp/tmpgtx7a3m4', '--quiet', 'setuptools_pep8']' returned non-zero exit status 1. error: Bad exit status from /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112 (%build) RPM build errors: Bad exit status from /tmp/B.AWThPs/BUILD/tmp/rpm-tmp.53112 (%build) ended at: Sun Sep 13 20:49:01 2020, done in 0:00:11.580734 error: No files produced. + chmod -R u+rwX /tmp/B.AWThPs/BUILD + rm -rf /tmp/B.AWThPs/tmp /tmp/B.AWThPs/BUILD + rm -rf /tmp/B.AWThPs Begin-PLD-Builder-Info Build-Time: user:10.72s sys:1.55s real:24.88s (faults io:20 non-io:443130) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]